#include <catch2/catch_test_macros.hpp>

#include "filter_fir_crude.h"

TEST_CASE("Filter Modules", "[filter]")
{
    SECTION("FIR Filter Crude Implementation")
    {
        float coeffs[] = {1,1,1};
        FilterFIRCrude filter1(coeffs, 3);

        filter1.process(10);
        filter1.process(10);
        auto res = filter1.process(10);

        REQUIRE(res == 10);
    }
}